<?php global $wpdb ?>

<div class="wrap">

<style>

.fancy td {

    padding:10px !important;

}

</style>

<div class="full_page_loader">

    <div class="whmp_loader"><?php _e("Loading", "whmpress") ?>...</div>

</div>

    <div class="whmp-main-title"><span class="whmp-title">WHMpress</span> <?php _e("System Status", "whmpress") ?></div>

    

    <table class="fancy" style="width: 100%;">

        <tr>

            <th colspan="2"><?php _e("WordPress", "whmpress") ?></th>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Site URL", "whmpress") ?></td>

            <td><?php echo site_url(); ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Home URL", "whmpress") ?></td>

            <td><?php echo home_url(); ?></td>

        </tr>

        <tr>

			<td class="row-title"><?php _e("WordPress Version", "whmpress") ?></td>

			<td><?php bloginfo('version'); ?></td>

		</tr>

		<tr>

			<td class="row-title"><?php _e("WordPress Multisite", "whmpress") ?></td>

			<td><?php if ( is_multisite() ) echo __( 'Yes', 'whmpress' ); else echo __( 'No', 'whmpress' ); ?></td>

		</tr>

		<tr>

			<td class="row-title"><?php _e("WordPress Language", "whmpress") ?></td>

			<td><?php echo get_locale(); ?></td>

		</tr>

		<tr>

			<td class="row-title"><?php _e("WordPress Debug Mode", "whmpress") ?></td>

			<td><?php if ( defined('WP_DEBUG') && WP_DEBUG ) _e( 'Yes', 'whmpress' ); else _e( 'No', 'whmpress' ); ?></td>

		</tr>

		<tr>

			<td class="row-title"><?php _e("WordPress Active Plugins", "whmpress") ?></td>

			<td><?php echo count( (array) get_option( 'active_plugins' ) ); ?></td>

		</tr>

        <tr>

			<td class="row-title"><?php _e("WordPress Max Upload Size", "whmpress") ?></td>

			<td>

				<?php

				$wp_upload_max     = wp_max_upload_size();

				$server_upload_max = intval( str_replace( 'M', '', ini_get('upload_max_filesize') ) ) * 1024 * 1024;



				if ( $wp_upload_max <= $server_upload_max ) {

					echo size_format( $wp_upload_max );

				} else {

					echo '<span class="whmp_danger">' . sprintf( __( '%s (The server only allows %s)', 'whmpress' ), size_format( $wp_upload_max ), size_format( $server_upload_max ) ) . '</span>';

				}

				?>

			</td>

		</tr>

        <tr>

			<td class="row-title"><?php _e("WordPress Memory Limit", "whmpress") ?></td>

			<td><?php echo WP_MEMORY_LIMIT; ?></td>

		</tr>

        

        <tr>

            <th colspan="2"><?php _e("Server Info", "whmpress") ?></th>

        </tr>

        <tr>

			<td class="row-title"><?php _e("PHP Version", "whmpress") ?></td>

			<td><?php if ( function_exists( 'phpversion' ) ) echo esc_html( phpversion() ); ?></td>

		</tr>

        <tr>

			<td class="row-title"><?php _e("Server Software", "whmpress") ?></td>

			<td><?php echo esc_html( @$_SERVER['SERVER_SOFTWARE'] ); ?></td>

		</tr>

        <tr>

			<td class="row-title">MySQLi Extension</td>

			<td><?php echo function_exists('mysqli_connect')?__("Installed","whmpress"):"<span class='whmp_danger'>".__("Not Installed","whmpress")."</span>"; ?></td>

		</tr>

        <tr>

			<td class="row-title">cURL Extension</td>

			<td><?php echo function_exists('curl_version')?__("Installed","whmpress"):"<span class='whmp_danger'>".__("Not Installed","whmpress")."</span>"; ?></td>

		</tr>

        

        <tr>

            <th colspan="2">WHMpress Info</th>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Version", "whmpress") ?></td>

            <td><?php echo WHMP_VERSION ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Last Synced", "whmpress") ?></td>

            <td><?php $last_synced = get_option("sync_time");

            if ($last_synced=="") {

                echo "<span class='whmp_danger'>Not yet synced</span>";

            } else {

                echo $last_synced;

            }

            ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("WHMCS Version", "whmpress") ?></td>

            <td><?php echo $wpdb->get_var("SELECT `value` FROM `".whmp_get_configuration_table_name()."` WHERE `setting`='Version'"); ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Company Name", "whmpress") ?></td>

            <td><?php echo $wpdb->get_var("SELECT `value` FROM `".whmp_get_configuration_table_name()."` WHERE `setting`='CompanyName'"); ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Email address", "whmpress") ?></td>

            <td><?php echo $wpdb->get_var("SELECT `value` FROM `".whmp_get_configuration_table_name()."` WHERE `setting`='email'"); ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Domains", "whmpress") ?></td>

            <td><?php echo $wpdb->get_var("SELECT COUNT(*) FROM `".whmp_get_domain_pricing_table_name()."`"); ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Products", "whmpress") ?></td>

            <td><?php echo $wpdb->get_var("SELECT COUNT(*) FROM `".whmp_get_products_table_name()."`"); ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Product Groups", "whmpress") ?></td>

            <td><?php echo $wpdb->get_var("SELECT COUNT(*) FROM `".whmp_get_product_group_table_name()."`"); ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Currencies", "whmpress") ?></td>

            <td><?php echo $wpdb->get_var("SELECT COUNT(*) FROM `".whmp_get_currencies_table_name()."`"); ?></td>

        </tr>

        <tr>

            <td class="row-title"><?php _e("WHMCS URL", "whmpress") ?></td>

            <td><?php echo whmp_get_installation_url(); ?></td>

        </tr>

        <?php if (is_plugin_active( 'WHMpress_Client_Area/client-area.php' )): ?>

        <tr>

            <td class="row-title"><?php _e("Client Area URL", "whmpress") ?></td>

            <td><?php

            $page = get_option("client_area_page_url");

            if (is_numeric($page)) $page = get_page_link($page);

            if (substr($page, 0, 4)=="http") {

                echo $page;

            } else {

                echo get_bloginfo("url")."/".$page;

            }

             ?></td>

        </tr>

        <?php endif; ?>        

        

        <tr>

            <th colspan="2"><?php _e("Plugins", "whmpress") ?></th>

        </tr>

        <tr>

            <td class="row-title"><?php _e("Installed", "whmpress") ?></td>

            <td>

            <?php

				$active_plugins = (array) get_option( 'active_plugins', array() );



				if ( is_multisite() )

					$active_plugins = array_merge( $active_plugins, get_site_option( 'active_sitewide_plugins', array() ) );



				$wp_plugins = array();



				foreach ( $active_plugins as $plugin ) {



					$plugin_data    = @get_plugin_data( WP_PLUGIN_DIR . '/' . $plugin );

					$dirname        = dirname( $plugin );

					$version_string = '';



					if ( ! empty( $plugin_data['Name'] ) ) {



					// link the plugin name to the plugin url if available

						$plugin_name = $plugin_data['Name'];

						if ( ! empty( $plugin_data['PluginURI'] ) ) {

							$plugin_name = '<a target="_blank" href="' . esc_url( $plugin_data['PluginURI'] ) . '" title="Visit plugin homepage">' . $plugin_name . '</a>';

						}



						$wp_plugins[] = $plugin_name . ' by ' . $plugin_data['Author'] . ' version ' . $plugin_data['Version'] . $version_string;



					}

				}



				if ( sizeof( $wp_plugins ) == 0 )

					echo '-';

				else

					echo implode( ', <br/>', $wp_plugins );

				?>

            </td>

        </tr>

        <tr>

            <th colspan="2"><?php _e("Theme", "whmpress") ?></th>

        </tr>

        <tr>

			<td class="row-title"><?php _e("Theme Name", "whmpress") ?></td>

			<td><?php

				$active_theme = wp_get_theme();

				echo $active_theme->Name;

			?></td>

		</tr>

		<tr class="alt">

			<td class="row-title"><?php _e("Theme Version", "whmpress") ?></td>

			<td><?php

				echo $active_theme->Version;

			?></td>

		</tr>

		<tr>

			<td class="row-title"><?php _e("Theme Author URL", "whmpress") ?></td>

			<td><?php

				echo $active_theme->{'Author URI'};

			?></td>

		</tr>

		<tr class="alt">

			<td class="row-title"><?php _e("Is Child Theme", "whmpress") ?></td>

			<td><?php echo is_child_theme() ? __( 'Yes', 'whmpress' ) : __( 'No', 'whmpress' ); ?></td>

		</tr>

		<?php

		if( is_child_theme() ) :

			$parent_theme = wp_get_theme( $active_theme->Template );

		?>

		<tr>

			<td class="row-title"><?php _e("Parent Theme Name", "whmpress") ?></td>

			<td><?php echo $parent_theme->Name; ?></td>

		</tr>

		<tr class="alt">

			<td class="row-title"><?php _e("Parent Theme Version", "whmpress") ?></td>

			<td><?php echo  $parent_theme->Version; ?></td>

		</tr>

		<tr>

			<td class="row-title"><?php _e("Parent Theme Author URL", "whmpress") ?></td>

			<td><?php

				echo $parent_theme->{'Author URI'};

			?></td>

		</tr>

        <?php endif; ?>

        <tr>

            <th colspan="2"><?php _e("Addons", "whmpress") ?></th>

        </tr>

        <?php if (is_plugin_active( 'WHMpress_Client_Area/client-area.php' )): global $plugin_data_ca; ?>

        <tr>

        <td class="row-title"><?php echo @$plugin_data_ca["Name"]; ?></td>

        <td>v<?php echo @$plugin_data_ca["Version"]; ?></td>

        <?php else: ?>

        <td></td>

        <td><span class="whmp_danger">No addon installed</span></td>

        <?php endif; ?>

    </table>

    <br />

    <div style="text-align: center;">

        <input onclick="SendInfo()" type="button" class="button button-red" value="Send this information to Author" />

    </div>

    <div id="abc"></div>

</div>



<script>

function SendInfo() {

    if (!confirm("Are you sure you want to send this information to Author for support?")) return;

    jQuery(".full_page_loader").show();

    jQuery.post(ajaxurl, {'action':'send_info_to_author'}, function(response){

        jQuery(".full_page_loader").hide();

        if (response=="OK") {

            alert ("Thank you, your debug information has been sent to Author");

        } else {

            alert (response);

        }

    });

    return false;

}

</script>